-- Schema: dbo
-- Stored Procedure: sp_change_codfiscale_SEIReport


-- D_DTSX 20180511
-- Esegue l'allineamento sulla SEIReport.
-- Sostituisce la sp_change_codfiscale della SEIReport, per poter eseguire l'allineamento direttamente dalla 203.
-- Viene richiamata dalla nuova stored procedure srv_change_codfiscaleMassiva_CU_SEIReport, che sostituisce la srv_change_codfiscaleMassiva_CU su SEIReport.

CREATE PROCEDURE [dbo].[sp_change_codfiscale_SEIReport]
	-- Add the parameters for the stored procedure here
	@nuovo varchar(16), 
	@vecchio varchar(16)
AS
BEGIN
	
	SET NOCOUNT ON;

begin try
	begin
	transaction update_cf

		update [VMBFDSREPSEI01\I1].SeiReport.dbo.Cliente
		set codEsterno = @nuovo, 
		codFiscale = @nuovo 
		where codEsterno = @vecchio
		
		--print @@rowcount

		update [VMBFDSREPSEI01\I1].SeiReport.dbo.C6ReportFisico
		set cliente = @nuovo
		where cliente = @vecchio

		update [VMBFDSREPSEI01\I1].SeiReport.dbo.C6ReportFisico_CAMPAGNA
		set cliente = @nuovo
		where cliente = @vecchio

		update [VMBFDSREPSEI01\I1].SeiReport.dbo.LogFilePDF
		set codicefiscale= @nuovo
		where codicefiscale= @vecchio

		update [VMBFDSREPSEI01\I1].SeiReport.dbo.RepositoryMetadati
		set cod_fiscale=@nuovo
		where cod_fiscale=@vecchio

	commit transaction update_cf
end try
begin catch
	rollback transaction update_cf
end catch

END

